#!/usr/bin/env python3

import connexion

from mowgli_maki_manager import encoder


def main():
    app = connexion.App(__name__, specification_dir='./swagger/')
    app.app.json_encoder = encoder.JSONEncoder
    app.add_api('swagger.yaml', arguments={'title': 'Maki Manager API'})
    app.run(port=9003)


if __name__ == '__main__':
    main()
