# coding: utf-8

import sys
from setuptools import setup, find_packages

NAME = "mowgli_maki_manager"
VERSION = "1.0.0"

# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = ["connexion"]

setup(
    name=NAME,
    version=VERSION,
    description="Maki Manager API",
    author_email="",
    url="",
    keywords=["Swagger", "Maki Manager API"],
    install_requires=REQUIRES,
    packages=find_packages(),
    package_data={'': ['swagger/swagger.yaml']},
    include_package_data=True,
    entry_points={
        'console_scripts': ['mowgli_maki_manager=mowgli_maki_manager.__main__:main']},
    long_description="""\
    A basic API to execute DBMS specific management commands on DBMS nodes
    """
)

